input:not([type=checkbox]):not([type=radio]),
textarea,
select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
	margin: 0;
	width: 100%;
	height: 45px;
	outline: none;
	color: $dark;
	box-shadow: none;
	font-weight: 700;
	font-size: 1.3rem;
	line-height: 1.7rem;
	padding: 13px 17px;
	background: #fff;
	border-radius: 4px;
	display: inline-block;
	vertical-align: middle;
	border: 1px solid $white;
	@include placeholder($dark-150);

	&::-ms-clear {
		display: none;
		width: 0;
		height: 0;
	}

	&:focus,
	&:active {
		outline: none;
		@include placeholder(transparent);
	}


	&.error {
		border-color: red !important;
	}

}

textarea.field {
	height: auto;
	resize: none;
}